#:schema https://creativeprojects.github.io/resticprofile/jsonschema/config-1.json
version = "1"

[global]
  initialize = true
  log        = "/var/log/resticprofile.log"
  scheduler  = "crond"

[default]
  description   = "Back up database to BackBlazeB2 S3 Bucket"
  env-file      = ".env"
  password-file = "password.txt"
  repository    = "s3:s3.eu-central-003.backblazeb2.com/joeac-net-backup/repo"
  verbose       = 2

  [default.backup]
    check-after                   = true
    check-before                  = true
    run-before                    = ". /scripts/db_dump.sh"
    schedule                      = "*-*-* 03:30:00"
    schedule-after-network-online = true
    schedule-lock-wait            = "2h"
    schedule-log                  = "/var/log/resticprofile-schedule-backup.log"
    schedule-permission           = "system"
    schedule-priority             = "background"
    source                        = [
      "/app/var/backups",
    ]

  [default.forget]
    keep-last                     = 2
    keep-monthly                  = 2
    schedule                      = "*-*-* 03:45:00"
    schedule-after-network-online = true
    schedule-lock-wait            = "2h"
    schedule-log                  = "/var/log/resticprofile-schedule-forget.log"
    schedule-permission           = "system"
    schedule-priority             = "background"

  [default.prune]
    schedule                      = "*-*-* 04:00:00"
    schedule-after-network-online = true
    schedule-lock-wait            = "2h"
    schedule-log                  = "/var/log/resticprofile-schedule-prune.log"
    schedule-permission           = "system"
    schedule-priority             = "background"
